/* Create two unequal columns that floats next to each other */
.column {
  float: left;
}

.left {
  width: 40%;
}

.right {
  width: 60%;
}

.logo{
  color: #0e005e;
  position: relative;
  top: 20%;
}

a{
  text-decoration: none;
}
a:hover{
  color: #094483;
  text-decoration: underline;
}

.ghost{
  text-align: center;
  margin-bottom: 20px;
}

.zoomInButton{
  position: absolute;
  top: 1rem;
  right: 1rem;
  background-color: white;
  color: black;
  font-weight: 700;
  line-height: 1;
  width: 2rem;
  height: 2rem;
  border: 1.5px solid black;
  cursor: pointer;
  outline: 0;
  border-radius: 15%;
  font-size: 16px;
}
.zoomOutButton{
  position: absolute;
  top: 3rem;
  right: 1rem;
  background-color: white;
  color: black;
  font-weight: 700;
  line-height: 1;
  width: 2rem;
  height: 2rem;
  border: 1.5px solid black;
  cursor: pointer;
  outline: 0;
  border-radius: 15%;
  font-size: 16px;
}

.buttons {
  width: 90%;
  margin: auto;
  margin-top: -20px;
  text-align: center;
}

h1{
    text-align: center;
    font-size: 40px;
}
h2{
    text-align: center;
    font-size: 25px;
}
h3{
  text-align: center;
  font-size: 20px;
  color: gray;
}


#viz{
    position: fixed;
    width: 60%;
    right: 0;
}

article{
    width: 40%;
}

@keyframes tonext {
    75% {
      left: 0;
    }
    95% {
      left: 100%;
    }
    98% {
      left: 100%;
    }
    99% {
      left: 0;
    }
  }
  
  @keyframes tostart {
    75% {
      left: 0;
    }
    95% {
      left: -300%;
    }
    98% {
      left: -300%;
    }
    99% {
      left: 0;
    }
  }
  
  @keyframes snap {
    96% {
      scroll-snap-align: center;
    }
    97% {
      scroll-snap-align: none;
    }
    99% {
      scroll-snap-align: none;
    }
    100% {
      scroll-snap-align: center;
    }
  }
  
  div.slider {
    /* max-width: 37.5rem; */
    margin: 0 auto;
    padding: 0 1.25rem;
    outline: 0;
  }
  
  * {
    box-sizing: border-box;
    scrollbar-color: transparent transparent; 
    scrollbar-width: 0px;
  }
  
  *::-webkit-scrollbar {
    width: 10;
  }
  
  *::-webkit-scrollbar-track {
    background: transparent;
  }
  
  *::-webkit-scrollbar-thumb {
    background: transparent;
    border: none;
  }
  
  * {
    -ms-overflow-style: none;
  }
  
  ol, li {
    list-style: none;
    margin: 0;
    padding: 0;
    height: 600px;
    outline: 0;
  }
  
  .carousel {
    position: relative;
    padding-top: 75%;
    height: 200px;
  }
  
  .carousel__viewport {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    overflow-x: scroll;
    overflow-y: hidden;
    scroll-behavior: smooth;
    scroll-snap-type: x mandatory;
  }
  
  .carousel__slide {
    position: relative;
    flex: 0 0 100%;
    width: 100%;
    background-color: white;
  }
  
  .carousel__snapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    scroll-snap-align: center;
    font-size: 20px;
    pointer-events: none;
  }
  
  @media (hover: hover) {
    .carousel__snapper {
      animation-name: tonext, snap;
      animation-timing-function: ease;
      animation-duration: 4s;
      animation-iteration-count: infinite;
    }
  
    .carousel__slide:last-child .carousel__snapper {
      animation-name: tostart, snap;
    }
  }
  
  @media (prefers-reduced-motion: reduce) {
    .carousel__snapper {
      animation-name: none;
    }
  }
  
  .carousel:hover .carousel__snapper,
  .carousel:focus-within .carousel__snapper {
    animation-name: none;
  }
  
  .carousel__navigation {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    text-align: center;
  }
  
  .carousel__navigation-list,
  .carousel__navigation-item {
    display: inline-block;
  }
  

  p{
      font-size: 22px;
      width: 80%;
      margin: auto;
  }

  .randomPatientZeroButton {
    border: none;
    color: white;
    width: 50%;
    padding: 8px 16px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    margin: 4px 2px;
    transition-duration: 0.4s;
    cursor: pointer;
    background-color: white; 
    color: black; 
    border: 2px solid red;
    z-index: 999; 
    visibility: hidden;
    margin-bottom: 10px;
  }
  
  .randomPatientZeroButton:hover {
    background-color: red;
    color: white;
  }

  fieldset{
    width: 70%; 
    margin: auto;
    margin-top: 10px;
    padding-bottom: 0;
    border: white;
    visibility: hidden;
    display: none;
  }
  
  .range-wrap {
    position: relative;
    margin: 0 auto 3rem;
    width: 90%;
  }
  .range {
    width: 100%;
  }
input[type=range] {
    -webkit-appearance: none;
    /* margin: 20px 0; */
    width: 100%;
}
input[type=range]:focus {
    outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    /* height: 6px; */
    cursor: pointer;
    background: linear-gradient(to right, #00ffff 0%, #ff0000 100%);
    border-radius: 25px;
}
input[type=range]::-webkit-slider-thumb {
    height: 15px;
    width: 15px;
    border-radius: 50%;
    background: #fff;
    box-shadow: 0 0 4px 0 rgba(0,0,0, 1);
    cursor: pointer;
    -webkit-appearance: none;
}

  .bubble {
    background: red;
    color: white;
    padding: 4px 12px;
    position: absolute;
    border-radius: 4px;
    left: 50%;
    transform: translateX(-50%);
    transition: background 0.5s;
  }


  .previous {
    border: none;
    background-color: #ddd;
    color: black;
    padding: 8px 16px;
    text-align: center;
    text-decoration: none;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    outline: 0;
  }

  .previous:hover {
    background-color: rgb(143, 143, 143);
    color: white;
  }
  
  .tapInstruction{
    display: none;
  }

  @media only screen and (max-height: 660px) {
    p {
      font-size: 18px;
    }
    ol, li {
      list-style: none;
      margin: 0;
      padding: 0;
      height: 500px;
    }
  }

@media only screen and (max-width: 768px) {
  article{
    width: 100%;
    margin: auto;
  }
  p {
    font-size: 16px;
    width: 100%;
  }
  .ghost{
    display: none;
  }
  h1{
    font-size: 25px;
  }
  ol, li {
    height: 50%;
  }
  #viz{
    position: static;
    width: 100%;
    margin: auto;
    text-align: center;
    margin-bottom: 20px;
  }
  .zoomInButton{
    display: none;
  }
  .zoomOutButton{
    display: none;
  }
  .carousel__viewport {
    overflow-x: hidden;
    overflow-y: visible;
  }
  .buttonsDiv{
    display: none;
    margin-bottom: 10px;
  }
  .randomPatientZeroButton {
    width: 75%;
  }
  fieldset{
    width: 85%; 
  }
  img{
    height: 120%;
  }
  .tapInstruction{
    display: initial;
    float: right;
    width: initial;
  }
  .hideIfMobile{
    display: none;
  }
}
